### Method

# GimpUi Dialog add_button

#### Declaration [src]

    GtkWidget*
    gimp_dialog_add_button (
      GimpDialog* dialog,
      const gchar* button_text,
      gint response_id
    )

#### Description [src]

This function is essentially the same as `gtk_dialog_add_button()` except it ensures there is only one help button and automatically sets the RESPONSE_OK widget as the default response.

#### Parameters

`button_text` | `const gchar*`
| Text of button, or stock ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`response_id` | `gint`
| Response ID for the button.

#### Return value

Returns: | `GtkWidget`
| The button widget that was added.
| The data is owned by the instance.